PETSc version 3.15.5
Fix/Edit manual page

# VecHIPResetArray

Resets a vector to use its default memory. Call this after the use of VecHIPPlaceArray().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecHIPResetArray(Vec vin)

Not Collective

### Input Parameters

| vec | - the vector

### See Also

VecGetArray(), VecRestoreArray(), VecReplaceArray(), VecPlaceArray(), VecResetArray(), VecHIPPlaceArray(), VecHIPReplaceArray()

### Level

developer

### Location

src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages